Subject: Longhorns

From: [email-masked] (G. Thomas Rush)
Date: Thu, 25 Feb 1993 14:40:02 GMT

I believe someone posted a request for infomation on longhorn
cattle to this group -- thanks to a trip yesterday to the Houston
Livestock Show and Rodeo, I have two references:

Texas Longhorn Breeders Association of America
PO Box 4430
Fort Worth, TX	76164
817 625 6241

International Texas Longhorn Association
307 Neches Street
Austin, TX	78701
512 472 8009

thomas rush			compaq computer corporation	
[email-masked]	their employee, not their opinions.
By my belief that government should be minimized, I swear to oppose
the unrequested intrusion of government into the lives of individuals